Subject: RE: Use of XML for MPEG Network config

From: "Allison, Art" <[email-masked]>
Date: Wed, 6 Oct 2004 13:49:09 -0400

Expect a more detailed response to your questions in a day or two from Mr.
Jones.
ATSC Standards are provided free of charge.

Art
::{)>
Arthur W. Allison
Director, Science & Technology
National Association of Broadcasters
202 429 5418

-----Original Message-----
From: Marie-Jose Montpetit [mailto:[email-masked]]
Sent: Wednesday, October 06, 2004 10:35 AM
To: Allison, Art
Cc: [email-masked]; Jones, Graham; Mark Richer (E-mail)
Subject: Re: Use of XML for MPEG Network config

I had a quick look and yes this is very related to what we are doing. You
obviously have done all the schema work for a wider range of configuration
parameters. We have focussed on AR and have defined another much shorter
list. Are your schemas public? What is the status of the standard?

One thing we are also looking at is the distribution of the information.
Does ATSC have the intention of standardising on that too?

Marie-Jose
----- Original Message ----- 
From: "Allison, Art" <[email-masked]>
To: <[email-masked]>
Cc: "Jones, Graham" <>; "Mark Richer (E-mail)" <>
Sent: Wednesday, October 06, 2004 9:53 AM
Subject: RE: Use of XML for MPEG Network config

> Gorry
> The ATSC has developed a XML-based standard for use in managing the System
> Information for MPEG2 transports. The initial release is focused on
setting
> variables of the ATSC Program and System Information Protocol and
> maintaining consistency with the MPEG2 PAT/PMT structures. It was made
> available for public comment during the development cycle as document
CS/75
> http://www.atsc.org/standards/candidate_standards.html
> and it is now in the formal approval process. Is this the type of document
> you are seeking?
>
> Art
> ::{)>
> Arthur W. Allison
> Director, Science & Technology
> National Association of Broadcasters
> 202 429 5418
>
> -----Original Message-----
> From: Gorry Fairhurst [mailto:[email-masked]]
> Sent: Wednesday, October 06, 2004 7:27 AM
> To: [email-masked]
> Subject: Re: Use of XML for MPEG Network config
>
>
>
> I agree that XML is now becoming a common configuration language, and
> this is certainly one way we must explore in the ipdvb WG: both for
> setting up the L1/L2 information at the Receivers and IP Gateways and
> also for address resolution. It would be interesting to explore
> alternatives for the ways in which XML could be used to map IP addresses
> to PIDs.
>
> Can I ask everyone on this list to send an email if they know of any
> existing work (or work-in-progress), especially if it is  relevant to
> MPEG-2 transmission networks?
>
> Thanks Marie-Jose for starting this topic, and offering to write a draft!
>
> Gorry
>
> Marie-Jose Montpetit wrote:
>
> > List:
> >
> > I am putting together a short draft for the next IETF on the use of XML
> > for MPEG network configuration. This is part of the extension work of a
> > larger IP Over DVB ESA sponsored study as well as my other R&D
activities.
> >
> > The poster child right now is address resolution as this is part of the
> > WG charter, but I can see this approach as being useful for a larger set
> > of application. Our initial view is to have 3 types of services:
> > - a static version based on local configuration that can be accessed via
> > the web
> > - a subscriber service
> > - on demand service
> > We expect to be able to use the same semantics and have investigated
> > transport methods based on SIP, SOAP/UDP and SOAP/SIP. I know we are not
> > probably the only people on the list thinking about this as the above IP
> > mechanisms for network control are fairly popular right now.
> >
> > I welcome comments or real life implementations of this.
> >
> > Thanks
> >
> > Marie-Jose
> >
> >
> >
>